# Get group info

Fetches group info.

```http
GET https://api.pozy.ai/v1/whatsapp/wa-groups/{groupId}
```

- Area: WhatsApp / WhatsApp
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `groupId` (string, required)

## Query parameters

- `accountId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/whatsapp/wa-groups/6ddaba11e244da442f65cb22?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/wa-groups/6ddaba11e244da442f65cb22?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/whatsapp/wa-groups/6ddaba11e244da442f65cb22",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `group`, object
  - `id`, string
  - `subject`, string
  - `description`, string
  - `joinApprovalMode`, string
  - `participants`, array of object
    - `user`, string
    - `admin`, string
  - `participantCount`, integer
  - `createdAt`, integer
  - `isSuspended`, boolean

```json
{
  "success": true,
  "group": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "subject": "string",
    "description": "A short description",
    "joinApprovalMode": "string",
    "participants": [
      {
        "user": "string",
        "admin": "string"
      }
    ],
    "participantCount": 42,
    "createdAt": 1,
    "isSuspended": true
  }
}
```
